CREATE TABLE ase_raa_version_history_b (
    ID                        NUMBER       ,
    ID_DATE                   VARCHAR2(80)     NOT NULL,
    ENT_ROLE_NAME             VARCHAR2(800)    NOT NULL,
    DUTY_ROLE_NAME            VARCHAR2(800),
    ENTITLEMENT_NAME          VARCHAR2(800),
    IS_SINGLE_ROLE_VERSION    VARCHAR2(20) ,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    ID                        NUMBER       ,
    ID_DATE                   VARCHAR2(80)     NOT NULL,
    ENT_ROLE_NAME             VARCHAR2(800)    NOT NULL,
    DUTY_ROLE_NAME            VARCHAR2(800),
    ENTITLEMENT_NAME          VARCHAR2(800),
    IS_SINGLE_ROLE_VERSION    VARCHAR2(20) ,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ase_raa_version_history_b PRIMARY KEY (ID, ID)
);
